<?php

if(isset($set_update_preference)) {

	if($set_update_preference == 'perl') {
		$set_update_preference = 'perl';
		$canDoPerlUpdate = 1;
	} else {
		$set_update_preference = 'regular';
		$canDoPerlUpdate = 0;
	}
	
	if (isset($profile)) {
		setProfileData($profile->profilename, "{$profile->profilename}.updatePreference", $set_update_preference);
		echo "<div class=\"indentbody\">".str_replace("%s", $set_update_preference." (for profile $profile->profilename only)", _UPDATE_METHOD_HAS_BEEN_SET_TO)."</div>";
	} else {
		setGlobalSetting("canDoPerlUpdate", $canDoPerlUpdate);
		echo "<div class=\"indentbody\">".str_replace("%s", $set_update_preference." (for all profiles)", _UPDATE_METHOD_HAS_BEEN_SET_TO)."</div>";
	}
	
	
	
} else if (isset($update_method)) {

	include_once("components/import/import.php");
	$importClass = new Import();
	
	echo "<div style='margin: 0 0 0 35px; width: 600px;'>";
	$perlable = $importClass->availableCheck();
	
	if($perlable['hasError'] == true) {
		echo "<h3>"._YOUR_MACHINE_IS_NOT_ABLE_TO_USE_PERL."</h3>";

		unset($perlable['hasError']);
		
		foreach($perlable as $key => $perltest) {
			echoWarning($perltest);
		}
		
		echo "<p>".str_replace("%s", "<a href='http://www.logaholic.com/manual/update-now/update-logaholic-stats-using-perl/' target='_blank'>tutorial</a>", _VISIT_PERL_INSTALL_TUTORIAL)."</p><br/>";
		echo "<a style='background: none repeat scroll 0 0 #1970B4; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='{$_SERVER['REQUEST_URI']}'>Check again</a>";
	} else {
		echo "<h3>"._SET_YOUR_UPDATE_METHOD_PREFERENCE."</h3>";
		echoNotice("Checking for required Perl modules...");
		unset($perlable['hasError']);
		foreach($perlable as $key => $perltest) {
			echoWarning($perltest);
		}
		
		echo "<p>You machine is able to use the Perl update method.</p>";
		if (isset($profile)) {
			echo "<p>If you want to enable Perl <b>for this profile</b>, click 'Use Perl Method' below.</p>";
			echo "<a style='background-color: #333333; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='profiles.php?conf={$curprofilename}&update_method=1&set_update_preference=regular'>Use PHP method</a>";
			echo "<a style='margin-left: 25px; background: none repeat scroll 0 0 #1970B4; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='profiles.php?conf={$curprofilename}&update_method=1&set_update_preference=perl'>Use Perl Method</a>";
			if (getGlobalSetting("canDoPerlUpdate", 0) == 0) { $def='regular'; } else { $def='perl'; }
			echoNotice("Current setting: ".getProfileData($curprofilename, "{$curprofilename}.updatePreference", $def), "margin-top:10px;");
		} else {
			echo "<p>If you want to enable Perl on this Logaholic installation, click 'Use Perl Method' below.</p>";
			echo "<a style='background-color: #333333; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='settings.php?update_method=1&set_update_preference=regular'>Use PHP method</a>";
			echo "<a style='margin-left: 25px; background: none repeat scroll 0 0 #1970B4; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='settings.php?update_method=1&set_update_preference=perl'>Use Perl Method</a>";
		}
		
	}
	echo "</div>";
}
exit();























# this file is obsolete, but we might need some stuff from it

# We want to check Perl availability and such, so we include this file.
include_once("components/import/import.php");

# This class comes from the above include
$importClass = new Import();

$canDoPerlUpdate = getGlobalSetting("canDoPerlUpdate", 'N/A');

# If set_update_pref is set in the url, we want to (re)set our update method preference (regular or perl)
if(!empty($_REQUEST['set_update_pref'])) {
	# If use_perl is set to 1, we want to set our preference to perl
	if($_REQUEST['use_perl'] == 1) {
		$update_preference = 'perl';
	} else {
		$update_preference = 'regular';
	}
	
	# We don't want to trigger the reset stuff, so we say no update is running .
	setProfileData($profile->profilename, "{$profile->profilename}.update_running", "no");
	
	# Save our preference
	setProfileData($profile->profilename, "{$profile->profilename}.updatePreference", $update_preference);
}

# Fetch our preference
$update_preference = getProfileData($profile->profilename, "{$profile->profilename}.updatePreference", "regular");

if ($update_preference == 'perl' && $canDoPerlUpdate == 'N/A') {
	$perlCheck = $importClass->AvailableCheck();

	if($perlCheck['hasError'] !== false) {
		foreach($perlErrors as $perlError) {
			echo $perlError."<br/>";
		}
		
		$canDoPerlUpdate = 0;
	} else {
		$canDoPerlUpdate = 1;
	}
	setGlobalSetting("canDoPerlUpdate", $canDoPerlUpdate);
}

# If no preference was set, we prompt the user to set one.
if(empty($update_preference) && !$running_from_command_line) {
	# We are not updating yet!
	setProfileData($profile->profilename, "{$profile->profilename}.update_running", "no");
	
	# We check whether this profiles uses Apache log files, if he does, we ask the user wants to use Perl.
	# If the this profiles does not use Apache log files, we set our update method preference to regular.
	$perl_logfiles = $importClass->getLogFilesArray();
	$detected_logformat = formatOfLogFile($perl_logfiles[0]);
	
	if($canDoPerlUpdate == 1 && ($detected_logformat['ClassName'] == 'ApacheCombinedCookieLogParser' || $detected_logformat['ClassName'] == 'ApacheCommonNoReferrerLogParser' || $detected_logformat['ClassName'] == 'LooseApacheCommonLogParser' || $detected_logformat['ClassName'] == 'ApacheCombinedLogParser')) {
		echo "<div style='margin: 0 auto; width: 400px;'>";
		echo "<h3>New Update Method Available</h3>";
		echo "<p style='margin-bottom: 24px;'>";
			echo "We have developed a very fast update process that uses Perl.<br/>However, it takes some time to set up.<br/>Would you like to try it out?<br/>";
		echo "</p>";
		echo "<a style='background-color: #333333; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='update.php?conf={$profile->profilename}&use_perl=0&set_update_pref=1'>No, I prefer the regular update method</a>";
		echo "<a style='margin-left: 25px; background: none repeat scroll 0 0 #1970B4; border-radius: 4px 4px 4px 4px; color: #FFFFFF; padding: 5px 10px; text-decoration: none;' href='update.php?conf={$profile->profilename}&use_perl=1&set_update_pref=1'>Yes, please</a>";
		echo "</div>";
		exit;
	} else {
		setProfileData($profile->profilename, "{$profile->profilename}.updatePreference", 'regular');
	}
}

# If we use perl, include our perl handler and exit update.php
if ($update_preference == 'perl' && $canDoPerlUpdate == 1) {
	# Prevent a reset message for regular update method.
	//setProfileData($profile->profilename, "{$profile->profilename}.update_running", "no");
	
	# Give reset message if needed for perl
	HandleRunningStatus('perl');
	
	include_once("update-perl.php");
	exit;
} else {
	//setProfileData($profile->profilename, "{$profile->profilename}.update_running", "yes");
	//setProfileData($profile->profilename, "{$profile->profilename}.perlupdate_running", "no");
}
?>