<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2011 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once("components/geoip/open_geoip.php");
include_once "common.inc.php";
include_once "includes/pdf.php";

function askUser() {
	global $content, $profile;
	?>
	<div class="make-pdf">
	<h1>Your encoded content will be sent to www.logaholic.com and converted to a PDF document.</h1>
	<form method=post id="pdfform" action="http://www.logaholic.com/pdf/download.php">
	<input type=hidden name="content" value="<?php echo base64_encode($content); ?>">
	<input type=hidden name="name" value="<?php echo $profile->confdomain.".pdf"; ?>">
	<input type=hidden name="version" value="<?php echo LOGAHOLIC_VERSION_NUMBER; ?>">
	<input type=submit id="submitbutton" value="Download PDF">
	</form>
	<br />
	<br />
	<br />
	Alternatively, you can locally generate a printer friendly HTML version of your workspace reports<br />
	<form method=post id="htmlform" action="pdf.php?conf=<?php echo $profile->profilename;?>" target="_blank">
	<input type=hidden name="content" value="<?php echo base64_encode($content); ?>">
	<input type=hidden name="name" value="<?php echo $profile->confdomain.".pdf"; ?>">
	<input type=submit value="HTML version">
	</form>
	</div>
	<?php
}


$template->HTMLheadTag();
$template->BodyStart();
$template->LoginForm();

if (isset($_POST['content'])) {
	# we want to print the content locally
	echo base64_decode($_POST['content']);
} else {
	?>
	<script type="text/javascript">
	$(document).ready(function() {
		$("#creating").remove();
	});
	</script>
	<h1 id="creating">Encoding Content... please wait</h1>
	<?php
	flush();
	$content = CreatePDFContent("Autosaved Workspace");
	askUser();
}
echo "</body></html>";
?>