<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2011 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
/**
* @desc This report displays the browser market share
*/

$reports["_BROWSER_MARKET_SHARE"] = Array(
	"ClassName" => "BrowserMarketShare", 
	"Category" => "_CLIENT_SYSTEM", 
	"icon" => "images/icons/32x32/browsers.png",
	"Options" => "daterangeField,profileselector,displaymode,trafficsource,limit",
	"Filename" => "browser_market_share",
	"Distribution" => "Standard",
	"Order" => 2,
	"ReportVersion" => 1.0,
	"MinimumVersion" => 3.0,
	"EmailAlerts" => true,
	"Update" => false
);

include_once "browser_versions.php";
class BrowserMarketShare extends BrowserVersions {
	
	function Settings() {
		$this->DefaultDisplay = "pie";
		$this->DisplayModes = "table,pie";
		$this->columnDefinitions[] = array("Label" => "_BROWSER");
		$this->columnDefinitions[] = array("Label" => "_BROWSER_VERSION","dataType" => "String","display" => false);
		$this->columnDefinitions[] = array("Label" => "_VISITS");
		$this->label = _BROWSER_VERSIONS;
		$this->sort_order = false;
	}
	
	function GetReportData() {
		global $db, $get_constant;
		$this->createDataFiles($this->from,$this->to);	
		$data = $this->getDataFromFiles($this->dataFiles($this->from,$this->to));
		return $this->DataGroupBy($data,0);
		
	}
	
	
	function UpdateStats() {
		return false;		
	}
	
}
?>
